Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class MediaOffset<T>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.MediaOffset<T>

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  MediaOffset.Frame, MediaOffset.Marker, MediaOffset.Time

    @PDF(value=PDF15)
    public abstract class MediaOffset<T>

extends PdfObjectWrapper<PdfDictionary>

Media offset [PDF:1.7:9.1.5].

Since:
  0.1.2
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `MediaOffset.Frame` Media offset frame [PDF:1.7:9.1.5].
`static class` | `MediaOffset.Marker` Media offset marker [PDF:1.7:9.1.5].
`static class` | `MediaOffset.Time` Media offset time [PDF:1.7:9.1.5].

Constructor Summary
`protected` | `MediaOffset(Document context, PdfName subtype)`
`protected` | `MediaOffset(PdfDirectObject baseObject)`

Method Summary
`abstract T` | `getValue()` Gets the offset value.
`abstract void` | `setValue(T value)`
`static MediaOffset<?>` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaOffset

    protected MediaOffset(Document context,
                          PdfName subtype)

### MediaOffset

    protected MediaOffset(PdfDirectObject baseObject)

Method Detail

### wrap

    public static MediaOffset<?> wrap(PdfDirectObject baseObject)

### getValue

    public abstract T getValue()

  Gets the offset value.

### setValue

    public abstract void setValue(T value)

  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.